$(function () {
    initDateInput(1);
})

var pageNumber;

/**
 * 加载数据表格
 */
$('#mytab').bootstrapTable({
    height: 5000,
    toolbar: '#toolbar',                //工具按钮用哪个容器
    striped: true,                      //是否显示行间隔色
    cache: false,                       //是否使用缓存，默认为true，所以一般情况下需要设置一下这个属性（*）
    pagination: true,                   //是否显示分页（*）
    sidePagination: "server",           //分页方式：client客户端分页，server服务端分页（*）
    paginationPreText: '上一页',
    paginationNextText: '下一页',
    pageNumber: 1,                       //初始化加载第一页，默认第一页
    pageSize: 10,                       //每页的记录行数（*）
    pageList: [10, 20, 30, 40, 50],//可供选择的每页的行数（*）
    height: $(window).height() - 134,                        //行高，如果没有设置height属性，表格自动根据记录条数觉得表格高度
    columns: [
        /*{
            title: '全选',
            field: 'select',
            checkbox: true,
            width: 25,
            align: 'center',
            valign: 'middle'
        },*/
        {
            field: 'no',
            title: '序号',
            sortable: true,
            formatter: function (value, row, index) {
                //获取每页显示的数量
                var pageSize = $('#mytab').bootstrapTable('getOptions').pageSize;
                //获取当前是第几页
                var pageNumber = $('#mytab').bootstrapTable('getOptions').pageNumber;
                //返回序号，注意index是从0开始的，所以要加上1
                return pageSize * (pageNumber - 1) + index + 1;
            }
        },
        {
            title: '任务ID',
            field: 'taskId',
        },
        {
            title: '病案号',
            field: 'inpNo',
        },
        {
            title: '出院日期',
            field: 'dischargeDateTime',
            formatter: function (value, row, index) {
                return value.substring(0,10);
            }
        },
        {
            title: '操作日期',
            field: 'createDate',
            formatter: function(value,row,index){
                return covertDate(value);
            }
        },
        {
            title: '状态',
            field: 'state',
            formatter: function (value, row, index) {
                var spanValue;
                if (value == '0') {
                    spanValue = '<p class="text-danger">未开始</p>';
                } else if (value == '1') {
                    spanValue = '<p style="color:green">完成</p>';
                }else if (value == '2') {
                    spanValue = '<p style="color:green">失败</p>';
                }
                return spanValue;
            }
        }
        /*{
            title: '操作',
            formatter: function (value, row, index) {
                var editanddrop = '';
                if (row.state == 0) {
                    editanddrop += '<button type="button" onclick="exportExcel(' + row.taskId + ')" class="btn btn-sm btn-info TableView btn-sm" >导出PDF</button>';
                }
                return editanddrop;
            }
        }*/
    ],
    locale: 'zh-CN',//中文支持,
    url: path + '/exportTaskDetails/getExportTaskDetailsList',//排序方式
    queryParams: function (params) {
        return {
            limit: params.limit, // 每页显示数量
            offset: params.offset, // SQL语句起始索引
            page: (params.offset / params.limit) + 1, //当前页码,
            taskid: $("#taskid").val(),
            state:$("#state").val(),
            startTime: $("#startTime1").val(),
            endTime:$("#endTime1").val(),
        }
    },
    responseHandler: function (res) {
        //在ajax获取到数据，渲染表格之前，修改数据源
        var nres = [];
        nres.push({total: res.total, rows: res.list});
        return nres[0];
    },
    onLoadSuccess: function () {
        $(".page-list").show();
        $(".fixed-table-body").css("overflow", "auto");
    },
    //监听分页点击事件
    onPageChange: function (num, type) {
        pageNumber = num;
    },
    //选中单个复选框
    onCheck: function (row) {
        var checks = $("#checks").val();
        $("#checks").val(checks += "'" + row.id + "',");
    },
    //取消单个复选框
    onUncheck: function (row) {
        var checks = $("#checks").val();
        checks = checks.replace("'" + row.id + "',", "");
        $("#checks").val(checks);
    },
    //全选
    onCheckAll: function (rows) {
        $("#checks").val("");
        var checks = '';
        for (var i = 0; i < rows.length; i++) {
            checks += "'" + rows[i].id + "',"
        }
        $("#checks").val(checks);
    },
    //全不选
    onUncheckAll: function (rows) {
        $("#checks").val("");
    }
})


/**
 * 查询按钮
 */
function refreshTable() {
   // $("#checks").val("");
    $('#mytab').bootstrapTable('refresh', {
        url: path + '/exportTaskDetails/getExportTaskDetailsList'
    })
}



